Subject: Re: [PATCH] NET : convert network timestamps to ktime_t

From: Eric Dumazet <[email-masked]>
Date: Mon, 05 Mar 2007 09:21:30 +0100

David Miller a écrit :
> From: Eric Dumazet <[email-masked]>
> Date: Mon, 05 Mar 2007 08:40:03 +0100
> 
>> Here is the second version of this patch, including missing bits spoted by 
>> Stephen. This is against net-2.6.22
> 
> Applied, thanks a lot.
> 
>> Note : this patch includes a bug correction in compat_sock_get_timestamp()
>> where a "err = 0;" was missing (so this syscall returned -ENOENT instead of
>> 0)
> 
> Grrr, good spotting.  Eric can you send me a version of just this bug
> fix against 2.6.21?  I'll push that to Linus and 2.6.x-stable.

Yes I will do it. But, are your sure its really used ?

I dont know very much this compat stuff, but I found 
compat_sock_get_timestamp() only called from net/x25/af_x25.c

I wonder how a 32 bit task on x86_64 can enter this compat code on other sockets ?